using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Villain.Data.Types;

namespace Fiesta.Game.Avatar
{
	public class ShapeInfo
	{
		public byte Race;
		public byte Class;
		public byte Gender;
		public byte HairType;
		public byte HairColor;
		public byte FaceShape;

		public ShapeInfo(UInt32 data)
		{
			BitFields<UInt32> bitFields = new BitFields<uint>(data);

			Race = bitFields.ReadByte(2);
			Class = bitFields.ReadByte(5);
			Gender = bitFields.ReadByte(1);
			HairType = bitFields.ReadByte(8);
			HairColor = bitFields.ReadByte(8);
			FaceShape = bitFields.ReadByte(8);
		}
	}
}